/***********************************************************************/
/*  													               */
/*      PROJECT NAME :  RTOSDemo_GCC                                   */
/*      FILE         :  vector_table.c                                 */
/*      DESCRIPTION  :  Vector Table                                   */
/*      CPU SERIES   :  RX100                                          */
/*      CPU TYPE     :  RX111                                          */
/*  													               */
/*      This file is generated by e2studio.                        */
/*  													               */
/***********************************************************************/





#include "interrupt_handlers.h"

typedef void (*fp) (void);
extern void PowerON_Reset (void);
extern void stack (void);
extern void vPortSoftwareInterruptISR( void );
extern void vPortTickISR( void );
extern void Dummy( void );
extern void vButtonInterrupt( void );

#ifdef __RX_LITTLE_ENDIAN__
const unsigned char Endian_Select[]  __attribute__ ((section (".endian_bytes"))) = {
	0xff, 0xff, 0xff, 0xff
};
#elif __RX_BIG_ENDIAN__
const unsigned char Endian_Select[]  __attribute__ ((section (".endian_bytes"))) = {
	0xff, 0xff, 0xff, 0xf8
};
#endif

// Option bytes setting for OFS1:0xFFFFFF88 and OFS0:0xFFFFFF8C
const unsigned char Security_Id[]  __attribute__ ((section (".option_bytes"))) = {
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};


#define FVECT_SECT          __attribute__ ((section (".fvectors")))

const void *HardwareVectors[] FVECT_SECT  = {
//;0xffffffd0  Exception(Supervisor Instruction)
    INT_Excep_SuperVisorInst,
//;0xffffffd4  Reserved
    (fp)0,
//;0xffffffd8  Reserved
    (fp)0,
//;0xffffffdc  Exception(Undefined Instruction)
    INT_Excep_UndefinedInst,
//;0xffffffe0  Reserved
    (fp)0,
//;0xffffffe4  Exception(Floating Point)
    INT_Excep_FloatingPoint,
//;0xffffffe8  Reserved
    (fp)0,
//;0xffffffec  Reserved
    (fp)0,
//;0xfffffff0  Reserved
    (fp)0,
//;0xfffffff4  Reserved
    (fp)0,
//;0xfffffff8  NMI
    INT_NonMaskableInterrupt,
//;0xfffffffc  RESET
//;<<VECTOR DATA START (POWER ON RESET)>>
//;Power On Reset PC
    PowerON_Reset
//;<<VECTOR DATA END (POWER ON RESET)>>
};
#define RVECT_SECT          __attribute__ ((section (".rvectors")))

const fp RelocatableVectors[] RVECT_SECT  = {

//;0x0000  Reserved
	(fp)0,
//;0x0004  Reserved
	(fp)0,
//;0x0008  Reserved
	(fp)0,
//;0x000C  Reserved
	(fp)0,
//;0x0010  Reserved
	(fp)0,
//;0x0014  Reserved
	(fp)0,
//;0x0018  Reserved
	(fp)0,
//;0x001C  Reserved
	(fp)0,
//;0x0020  Reserved
	(fp)0,
//;0x0024  Reserved
	(fp)0,
//;0x0028  Reserved
	(fp)0,
//;0x002C  Reserved
	(fp)0,
//;0x0030  Reserved
	(fp)0,
//;0x0034  Reserved
	(fp)0,
//;0x0038  Reserved
	(fp)0,
//;0x003C  Reserved
	(fp)0,
//;0x0040
	(fp)Dummy,
//;0x0044  Reserved
	(fp)0,
//;0x0048  Reserved
	(fp)0,
//;0x004C  Reserved
	(fp)0,
//;0x0050  Reserved
	(fp)0,
//;0x0054
	(fp)Dummy,
//;0x0058  Reserved
	(fp)0,
//;0x005C
	(fp)Dummy,
//;0x0060  Reserved
	(fp)0,
//;0x0064  Reserved
	(fp)0,
//;0x0068  Reserved
	(fp)0,
//;0x006C  Reserved
	(fp)vPortSoftwareInterruptISR,
//;0x0070  CMTU0_CMT0
	(fp)vPortTickISR,
//;0x0074
	(fp)Dummy,
//;0x0078
	(fp)Dummy,
//;0x007C
	(fp)Dummy,
//;0x0080
	(fp)Dummy,
//;0x0084  Reserved
	(fp)0,
//;0x0088  Reserved
	(fp)0,
//;0x008C  Reserved
	(fp)0,
//;0x0090  Reserved
	(fp)0,
//;0x0094  Reserved
	(fp)0,
//;0x0098  Reserved
	(fp)0,
//;0x009C  Reserved
	(fp)0,
//;0x00A0  Reserved
	(fp)0,
//;0x00A4  Reserved
	(fp)0,
//;0x00A8  Reserved
	(fp)0,
//;0x00AC  Reserved
	(fp)0,
//;0x00B0  Reserved
	(fp)0,
//;0x00B4  Reserved
	(fp)0,
//;0x00B8  Reserved
	(fp)0,
//;0x00BC  Reserved
	(fp)0,
//;0x00C0  Reserved
	(fp)0,
//;0x00C4  Reserved
	(fp)0,
//;0x00C8  Reserved
	(fp)0,
//;0x00CC  Reserved
	(fp)0,
//;0x00D0  Reserved
	(fp)0,
//;0x00D4  Reserved
	(fp)0,
//;0x00D8  Reserved
	(fp)0,
//;0x00DC  Reserved
	(fp)0,
//;0x00E0  Reserved
	(fp)0,
//;0x00E4  Reserved
	(fp)0,
//;0x00E8  Reserved
	(fp)0,
//;0x00EC  Reserved
	(fp)0,
//;0x00F0  Reserved
	(fp)0,
//;0x00F4  Reserved
	(fp)0,
//;0x00F8  Reserved
	(fp)0,
//;0x00FC  Reserved
	(fp)0,
//;0x0100  IRQ0
	(fp)vButtonInterrupt,
//;0x0104 IRQ1
	(fp)vButtonInterrupt,
//;0x0108 IRQ2
	(fp)Dummy,
//;0x010C IRQ3
	(fp)Dummy,
//;0x0110 IRQ4
	(fp)vButtonInterrupt,
//;0x0114 IRQ5
	(fp)Dummy,
//;0x0118 IRQ6
	(fp)Dummy,
//;0x011C IRQ7
	(fp)Dummy,
//;0x0120
	(fp)Dummy,
//;0x0124
	(fp)Dummy,
//;0x0128
	(fp)Dummy,
//;0x012C
	(fp)Dummy,
//;0x0130
	(fp)Dummy,
//;0x0134
	(fp)Dummy,
//;0x0138
	(fp)Dummy,
//;0x013C
	(fp)Dummy,
//;0x0140  Reserved
	(fp)0,
//;0x0144  Reserved
	(fp)0,
//;0x0148  Reserved
	(fp)0,
//;0x014C  Reserved
	(fp)0,
//;0x0150  Reserved
	(fp)0,
//;0x0154  Reserved
	(fp)0,
//;0x0158  Reserved
	(fp)0,
//;0x015C  Reserved
	(fp)0,
//;0x0160  Reserved
	(fp)0,
//;0x0164  Reserved
	(fp)0,
//;0x0168  Reserved
	(fp)0,
//;0x016C  Reserved
	(fp)0,
//;0x0170  Reserved
	(fp)0,
//;0x0174  Reserved
	(fp)0,
//;0x0178  Reserved
	(fp)0,
//;0x017C  Reserved
	(fp)0,
//;0x0180
	(fp)Dummy,
//;0x0184  Reserved
	(fp)0,
//;0x0188
	(fp)Dummy,
//;0x018C
	(fp)Dummy,
//;0x0190
	(fp)Dummy,
//;0x0194
	(fp)Dummy,
//;0x0198  Reserved
	(fp)0,
//;0x019C  Reserved
	(fp)0,
//;0x01A0
	(fp)Dummy,
//;0x01A4
	(fp)Dummy,
//;0x01A8
	(fp)Dummy,
//;0x01AC
	(fp)Dummy,
//;0x01B0
	(fp)Dummy,
//;0x01B4  Reserved
	(fp)0,
//;0x01B8  Reserved
	(fp)0,
//;0x01BC
	(fp)Dummy,
//;0x01C0
	(fp)Dummy,
//;0x01C4  Reserved
	(fp)Dummy,
//;0x01C8  Reserved
	(fp)Dummy,
//;0x01CC
	(fp)Dummy,
//;0x01D0
	(fp)Dummy,
//;0x01D4
	(fp)Dummy,
//;0x01D8
	(fp)Dummy,
//;0x01DC  Reserved
	(fp)Dummy,
//;0x01E0
	(fp)Dummy,
//;0x01E4
	(fp)Dummy,
//;0x01E8
	(fp)Dummy,
//;0x01EC
	(fp)Dummy,
//;0x01F0
	(fp)Dummy,
//;0x01F4
	(fp)Dummy,
//;0x01F8
	(fp)Dummy,
//;0x01FC
	(fp)Dummy,
//;0x0200
	(fp)Dummy,
//;0x0204  Reserved
	(fp)Dummy,
//;0x0208  Reserved
	(fp)Dummy,
//;0x020C
	(fp)Dummy,
//;0x0210
	(fp)Dummy,
//;0x0214
	(fp)Dummy,
//;0x0218
	(fp)Dummy,
//;0x021C  Reserved
	(fp)Dummy,
//;0x0220
	(fp)Dummy,
//;0x0224
	(fp)Dummy,
//;0x0228
	(fp)Dummy,
//;0x022C
	(fp)Dummy,
//;0x0230
	(fp)Dummy,
//;0x0234
	(fp)Dummy,
//;0x0238
	(fp)Dummy,
//;0x023C  Reserved
	(fp)Dummy,
//;0x0240  Reserved
	(fp)Dummy,
//;0x0244
	(fp)Dummy,
//;0x0248
	(fp)Dummy,
//;0x024C  Reserved
	(fp)Dummy,
//;0x0250  Reserved
	(fp)Dummy,
//;0x0254
	(fp)Dummy,
//;0x0258
	(fp)Dummy,
//;0x025C
	(fp)Dummy,
//;0x0260
	(fp)Dummy,
//;0x0264  Reserved
	(fp)Dummy,
//;0x0268
	(fp)Dummy,
//;0x026C
	(fp)Dummy,
//;0x0270
	(fp)Dummy,
//;0x0274
	(fp)Dummy,
//;0x0278
	(fp)Dummy,
//;0x027C
	(fp)Dummy,
//;0x0280
	(fp)Dummy,
//;0x0284
	(fp)Dummy,
//;0x0288
	(fp)Dummy,
//;0x028C  Reserved
	(fp)Dummy,
//;0x0290  Reserved
	(fp)Dummy,
//;0x0294
	(fp)Dummy,
//;0x0298
	(fp)Dummy,
//;0x029C
	(fp)Dummy,
//;0x02A0
	(fp)Dummy,
//;0x02A4  Reserved
	(fp)Dummy,
//;0x02A8
	(fp)Dummy,
//;0x02AC
	(fp)Dummy,
//;0x02B0  Reserved
	(fp)Dummy,
//;0x02B4  Reserved
	(fp)Dummy,
//;0x02B8
	(fp)Dummy,
//;0x02BC
	(fp)Dummy,
//;0x02C0
	(fp)Dummy,
//;0x02C4
	(fp)Dummy,
//;0x02C8
	(fp)Dummy,
//;0x02CC
	(fp)Dummy,
//;0x02D0
	(fp)Dummy,
//;0x02D4
	(fp)Dummy,
//;0x02D8
	(fp)Dummy,
//;0x02DC
	(fp)Dummy,
//;0x02E0
	(fp)Dummy,
//;0x02E4
	(fp)Dummy,
//;0x02E8  Reserved
	(fp)Dummy,
//;0x02EC  Reserved
	(fp)Dummy,
//;0x02F0  Reserved
	(fp)Dummy,
//;0x02F4  Reserved
	(fp)Dummy,
//;0x02F8  Reserved
	(fp)Dummy,
//;0x02FC  Reserved
	(fp)Dummy,
//;0x0300  Reserved
	(fp)Dummy,
//;0x0304  Reserved
	(fp)Dummy,
//;0x0308  Reserved
	(fp)Dummy,
//;0x030C  Reserved
	(fp)Dummy,
//;0x0310  Reserved
	(fp)Dummy,
//;0x0314  Reserved
	(fp)Dummy,
//;0x0318
	(fp)Dummy,
//;0x031C
	(fp)Dummy,
//;0x0320
	(fp)Dummy,
//;0x0324
	(fp)Dummy,
//;0x0328  Reserved
	(fp)Dummy,
//;0x032C  Reserved
	(fp)Dummy,
//;0x0330  Reserved
	(fp)Dummy,
//;0x0334  Reserved
	(fp)Dummy,
//;0x0338  Reserved
	(fp)Dummy,
//;0x033C  Reserved
	(fp)Dummy,
//;0x0340  Reserved
	(fp)Dummy,
//;0x0344  Reserved
	(fp)Dummy,
//;0x0348  Reserved
	(fp)Dummy,
//;0x034C  Reserved
	(fp)Dummy,
//;0x0350  Reserved
	(fp)Dummy,
//;0x0354  Reserved
	(fp)Dummy,
//;0x0358
	(fp)Dummy,
//;0x035C
	(fp)Dummy,
//;0x0360
	(fp)Dummy,
//;0x0364
	(fp)Dummy,
//;0x0368
	(fp)Dummy,
//;0x036C
	(fp)Dummy,
//;0x0370
	(fp)Dummy,
//;0x0374
	(fp)Dummy,
//;0x0378
	(fp)Dummy,
//;0x037C
	(fp)Dummy,
//;0x0380
	(fp)Dummy,
//;0x0384
	(fp)Dummy,
//;0x0388
	(fp)Dummy,
//;0x038C
	(fp)Dummy,
//;0x0390
	(fp)Dummy,
//;0x0394
	(fp)Dummy,
//;0x0398
	(fp)Dummy,
//;0x039C
	(fp)Dummy,
//;0x03A0
	(fp)Dummy,
//;0x03A4
	(fp)Dummy,
//;0x03A8
	(fp)Dummy,
//;0x03AC
	(fp)Dummy,
//;0x03B0
	(fp)Dummy,
//;0x03B4
	(fp)Dummy,
//;0x03B8
	(fp)Dummy,
//;0x03BC
	(fp)Dummy,
//;0x03C0
	(fp)Dummy,
//;0x03C4
	(fp)Dummy,
//;0x03C8  Reserved
	(fp)Dummy,
//;0x03CC  Reserved
	(fp)Dummy,
//;0x03D0  Reserved
	(fp)Dummy,
//;0x03D4  Reserved
	(fp)Dummy,
//;0x03D8
	(fp)Dummy,
//;0x03DC
	(fp)Dummy,
//;0x03E0
	(fp)Dummy,
//;0x03E4
	(fp)Dummy,
//;0x03E8
	(fp)Dummy,
//;0x03EC
	(fp)Dummy,
//;0x03F0
	(fp)Dummy,
//;0x03F4
	(fp)Dummy,
//;0x03F8  Reserved
	(fp)0,
//;0x03FC  Reserved
	(fp)0,
};
